Skip to main content
POST
/
api
/
v1
/
action
create entity
curl --request POST \
  --url https://api.example.com/api/v1/action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "walletId": 123,
  "contractId": 123,
  "name": "<string>",
  "funcSignature": "<string>",
  "status": "ACTIVE",
  "params": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "gasPrice": "market",
  "gasLimit": 10000000,
  "gasTip": "\"\"",
  "description": "<string>",
  "destinations": [
    {
      "tenantDestinationId": 123,
      "status": "ACTIVE"
    }
  ],
  "detectors": [
    {
      "detectorId": 123,
      "status": "ACTIVE",
      "scriptFilter": "e.severity>=0.5",
      "scriptParams": {
        "_to": "e.getTxHash()",
        "_value": "a.getTimestamp()"
      }
    }
  ],
  "triggerAlerts": [
    {
      "triggerAlertId": 123,
      "status": "ACTIVE",
      "scriptFilter": "e.severity>=0.5",
      "scriptParams": {
        "_to": "e.getTxHash()",
        "_value": "a.getTimestamp()"
      }
    }
  ]
}
'
{
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "walletId": 123,
  "contractId": 123,
  "name": "<string>",
  "funcSignature": "<string>",
  "params": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "funcAbi": {},
  "gasPrice": "market",
  "gasLimit": 10000000,
  "gasTip": "\"\"",
  "description": "<string>",
  "destinations": [
    {
      "id": 1,
      "createdAt": 123,
      "updatedAt": 123,
      "status": "ACTIVE",
      "tenantDestination": {
        "id": 1,
        "createdAt": 123,
        "updatedAt": 123,
        "tenantId": 123,
        "type": "EMAIL",
        "uid": "Telegram: /start {uid}",
        "tags": [
          "DEFAULT"
        ],
        "value": "<string>",
        "telegramBotUsername": "<string>",
        "telegramUserId": "<string>",
        "telegramUsername": "<string>",
        "telegramChatId": "<string>",
        "telegramChatTitle": "<string>",
        "telegramChatType": "<string>",
        "slackUri": "<string>",
        "slackChannelId": "<string>",
        "slackChannelName": "<string>",
        "uri": "<string>",
        "method": "<string>",
        "headers": {}
      }
    }
  ],
  "detectors": [
    {
      "id": 1,
      "createdAt": 123,
      "updatedAt": 123,
      "status": "ACTIVE",
      "scriptFilter": "e.severity>=0.5",
      "scriptParams": {
        "_to": "e.getTxHash()",
        "_value": "a.getTimestamp()"
      },
      "detectorId": 123
    }
  ],
  "triggerAlerts": [
    {
      "id": 1,
      "createdAt": 123,
      "updatedAt": 123,
      "status": "ACTIVE",
      "scriptFilter": "e.severity>=0.5",
      "scriptParams": {
        "_to": "e.getTxHash()",
        "_value": "a.getTimestamp()"
      },
      "triggerAlertId": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Body

application/json
walletId
integer<int64>
required

Unique identifier of the wallet associated with the extractor action

contractId
integer<int64>
required

Unique identifier of the contract associated with the extractor action

name
string
required

Name of the action

funcSignature
string
required

Signature of the function from the contract abi associated with the extractor action

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
params
object[]

Input parameters of the function from the contract abi associated with the extractor action

gasPrice
string

Gas price for action execution. Possible values are 100%/1.0 gwei/1000000/'market'. Default: market

Pattern: ^(\d+(\.\d+)?|\d+(\.\d+)? gwei|\+?\-?\d+(\.\d+)?%|market)$
Example:

"market"

gasLimit
integer<int32>

Gas limit for action execution. Default: 10000000

Required range: x > 0
Example:

10000000

gasTip
string

Gas tip for action execution. Possible values are 100%/1.0 gwei/1000000. Default: ""

Pattern: ^(\d+(\.\d+)?|\d+(\.\d+)? gwei|\+?\-?\d+(\.\d+)?%)$|^$
Example:

"\"\""

description
string

Description of action

destinations
object[]

List of destinations associated with the entry

detectors
object[]

List of detectors associated with the entry

triggerAlerts
object[]

List of trigger alerts associated with the entry

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
walletId
integer<int64>

Unique identifier of the wallet associated with the extractor action

contractId
integer<int64>

Unique identifier of the contract associated with the extractor action

name
string

Name of the action

funcSignature
string

Signature of the function from the contract abi associated with the extractor action

params
object[]

Input parameters of the function from the contract abi associated with the extractor action

funcAbi
object

Abi of the function from the contract abi associated with the extractor action

gasPrice
string

Gas price for action execution. Possible values are 100%/1.0 gwei/1000000/'market'. Default: market

Example:

"market"

gasLimit
integer<int32>

Gas limit for action execution. Default: 10000000

Example:

10000000

gasTip
string

Gas tip for action execution. Possible values are 100%/1.0 gwei/1000000. Default: ""

Example:

"\"\""

description
string

Description of action

destinations
object[]

List of destinations associated with the entry

detectors
object[]

List of detectors associated with the entry

triggerAlerts
object[]

List of trigger alerts associated with the entry